=== src/pic/Makefile ===
# Make all in this directory
PORT	= pic

include ../port.mk
