## sdcc 2.6.0

=== src/regression/Makefile ===
--- 
+++ 
@@ -45,12 +45,14 @@
 # make cleano
 #  - removes either the .stc, .asm, .cod or .o files
 
+# verboseness
+#Q ?= # be verbose
+Q ?= @ # be quiet
 
-CC = ../../bin/sdcc
+CC = sdcc
 LINKER = gplink
-TARGETPIC = 16f873
-TARGETPIC2 = 16f877
-CFLAGS = -mpic14 -c -pp$(TARGETPIC)
+TARGETPIC = 16f877
+CFLAGS = -Wl,--map -I ../../device/include/pic -mpic14 -pp$(TARGETPIC) -Wl,-q
 
 .SUFFIXES: .asm .c .cod .stc
 
@@ -70,8 +72,8 @@
 	add3.c \
 	and1.c \
 	and2.c \
+	b.c \
 	bool1.c \
-	bool2.c \
 	bool3.c \
 	call1.c \
 	compare.c \
@@ -81,8 +83,11 @@
 	compare5.c \
 	compare6.c \
 	for.c \
+	inline.c \
 	nestfor.c \
 	or1.c \
+	ptrarg.c \
+	ptrfunc.c \
 	rotate1.c \
 	rotate2.c \
 	rotate3.c \
@@ -92,11 +97,22 @@
 	sub2.c \
 	switch1.c \
 	while.c \
-	xor.c \
-	ptrfunc.c
-
+	xor.c
+#	arrays.c \
+#	add4.c \
+#	bank1.c \
+#	compare7.c \
+#	compare8.c \
+#	compare9.c \
+#	compare10.c \
+#	configword.c \
+#	mult1.c \
+#	pointer1.c \
+#	rotate6.c \
+#	rotate7.c \
+#	string1.c \
 #	struct1.c \
-#	mul1.c \
+#	bool2.c \
 
 COD := $(patsubst %.c, %.cod, $(SRC))
 ASM := $(patsubst %.c, %.asm, $(SRC))
@@ -109,24 +125,14 @@
 all:	test
 
 
-# The asm files are generated by sdcc
-.c.o:
-	$(CC) $(CFLAGS)  $*.c
-
-# The .cod files are generated by gpasm
-# these get loaded by gpsim.
-.o.cod:
-	$(LINKER) --map -c -s $(TARGETPIC2).lkr -o $*.o $*.o
-
-#	gpasm $*.asm
-
-#	gpasm -c -I $(HEADER) $*.asm
-
+# The cod files are generated by sdcc
+.c.cod:
+	$(Q)$(CC) $(CFLAGS) $*.c
 
 # The .stc files are script files for gpsim
 .cod.stc:
-	./$(CREATESTC) $*.cod $*.stc
-	./$(SIMULATE) $*.stc $(LOGFILE)
+	$(Q)./$(CREATESTC) $*.cod $*.stc
+	$(Q)./$(SIMULATE) $*.stc $(LOGFILE)
 
 # this will also make .stc files
 #%.stc : %.cod
@@ -144,7 +150,7 @@
 	echo $(STC)
 
 test:	$(STC)
-	echo "Done - Results are in $(LOGFILE)"
+	$(Q)echo "Done - Results are in $(LOGFILE)"
 
 cleancod:
 	files="$(COD)" ; \
