=== device/lib/pic16/libsdcc/stack/Makefile ===
top_builddir = ../../
top_srcdir   = ../..
srcdir       = .


SUBDIRS = 

include $(top_srcdir)/Makefile.subdir
