## sdcc 2.7.0

=== src/regression/Makefile ===
--- 
+++ 
@@ -52,7 +52,12 @@
 CC = sdcc
 LINKER = gplink
 TARGETPIC = 16f877
-CFLAGS = -Wl,--map -I ../../device/include/pic -mpic14 -pp$(TARGETPIC) -Wl,-q
+TARGETPIC = 16f84
+CFLAGS = -mpic14 -p$(TARGETPIC)
+CFLAGS += -Wl,-q
+CFLAGS += -Wl,--map -I ../../device/include/pic
+CFLAGS += -L ../../device/lib/pic/bin
+#CFLAGS += --no-pcode-opt
 
 .SUFFIXES: .asm .c .cod .stc
 
@@ -66,57 +71,59 @@
 SIMULATE = simulate
 
 # List the C files to be test here:
-SRC = b.c \
-	add.c \
-	add2.c \
-	add3.c \
-	and1.c \
-	and2.c \
-	b.c \
-	bool1.c \
-	bool3.c \
-	call1.c \
-	compare.c \
-	compare2.c \
-	compare3.c \
-	compare4.c \
-	compare5.c \
-	compare6.c \
-	for.c \
-	inline.c \
-	nestfor.c \
-	or1.c \
-	ptrarg.c \
-	ptrfunc.c \
-	rotate1.c \
-	rotate2.c \
-	rotate3.c \
-	rotate4.c \
-	rotate5.c \
-	sub.c \
-	sub2.c \
-	switch1.c \
-	while.c \
-	xor.c
-#	arrays.c \
-#	add4.c \
-#	bank1.c \
-#	compare7.c \
-#	compare8.c \
-#	compare9.c \
-#	compare10.c \
-#	configword.c \
-#	mult1.c \
-#	pointer1.c \
-#	rotate6.c \
-#	rotate7.c \
-#	string1.c \
-#	struct1.c \
-#	bool2.c \
+SRC = add.c \
+      add2.c \
+      add3.c \
+      add4.c \
+      and1.c \
+      and2.c \
+      arrays.c \
+      b.c \
+      bank1.c \
+      bool1.c \
+      bool2.c \
+      bool3.c \
+      call1.c \
+      compare.c \
+      compare10.c \
+      compare2.c \
+      compare3.c \
+      compare4.c \
+      compare5.c \
+      compare6.c \
+      compare7.c \
+      compare8.c \
+      compare9.c \
+      configword.c \
+      empty.c \
+      for.c \
+      inline.c \
+      mult1.c \
+      nestfor.c \
+      or1.c \
+      pcodeopt.c \
+      pointer1.c \
+      ptrarg.c \
+      ptrfunc.c \
+      rotate1.c \
+      rotate2.c \
+      rotate3.c \
+      rotate4.c \
+      rotate5.c \
+      rotate6.c \
+      rotate7.c \
+      string1.c \
+      struct1.c \
+      sub.c \
+      sub2.c \
+      switch1.c \
+      while.c \
+      xor.c
 
 COD := $(patsubst %.c, %.cod, $(SRC))
 ASM := $(patsubst %.c, %.asm, $(SRC))
-O := $(patsubst %.c, %.o, $(SRC))
+O   := $(patsubst %.c, %.o,   $(SRC))
+P   := $(patsubst %.c, %.p,   $(SRC))
 STC := $(patsubst %.c, %.stc, $(SRC))
 HEX := $(patsubst %.c, %.hex, $(SRC))
 LST := $(patsubst %.c, %.lst, $(SRC))
@@ -127,12 +134,12 @@
 
 # The cod files are generated by sdcc
 .c.cod:
-	$(Q)$(CC) $(CFLAGS) $*.c
+	$(Q)-$(CC) $(CFLAGS) $*.c
 
 # The .stc files are script files for gpsim
 .cod.stc:
-	$(Q)./$(CREATESTC) $*.cod $*.stc
-	$(Q)./$(SIMULATE) $*.stc $(LOGFILE)
+	$(Q)-./$(CREATESTC) $*.cod $*.stc
+	$(Q)-./$(SIMULATE) $*.stc $(LOGFILE)
 
 # this will also make .stc files
 #%.stc : %.cod
@@ -164,6 +171,12 @@
 	  if [ -f $$f ]; then rm $$f; fi \
 	done ; \
 
+cleanp:
+	files="$(P)" ; \
+	for f in $$files ; do \
+	  if [ -f $$f ]; then rm $$f; fi \
+	done ; \
+
 cleanasm:
 	files="$(ASM)" ; \
 	for f in $$files ; do \
@@ -188,5 +201,11 @@
 	  if [ -f $$f ]; then rm $$f; fi \
 	done ; \
 
-clean: cleancod cleanasm cleanstc cleano cleanhex cleanlst
+cleanmap:
+	files="$(MAP)" ; \
+	for f in $$files ; do \
+	  if [ -f $$f ]; then rm $$f; fi \
+	done ; \
+
+clean: cleancod cleanasm cleanstc cleano cleanp cleanhex cleanlst cleanmap
 	if [ -f "$(LOGFILE)" ]; then rm $(LOGFILE); fi
