## sdcc 3.1.0+dfsg

=== src/regression/Makefile ===
--- 
+++ 
@@ -49,17 +49,31 @@
 #Q ?= # be verbose
 Q ?= @ # be quiet
 
-CC = sdcc
+SDCC_SRC=../..
+SDCC_BIN=../..
+
+CC = $(SDCC_BIN)/bin/sdcc
 LINKER = gplink
+USE_PIC16 ?= 0
+ifeq ($(strip $(filter 1 yes,$(USE_PIC16))),)
 TARGETPIC = 16f877
-TARGETPIC = 16f84
+#TARGETPIC = 16f84
 CFLAGS = -mpic14 -p$(TARGETPIC)
+DIR = pic14
+else
+TARGETPIC = 18f452
+CFLAGS	= -mpic16 -p$(TARGETPIC)
+DIR = pic16
+endif
 CFLAGS += -Wl,-q
-CFLAGS += -Wl,--map -I ../../device/include/pic
-CFLAGS += -L ../../device/lib/pic/bin
+CFLAGS += -Wl,--map
+CFLAGS += -I $(SDCC_SRC)/device/include/$(DIR) -I $(SDCC_SRC)/device/non-free/include/$(DIR)
+CFLAGS += -L $(SDCC_BIN)/device/lib/$(DIR)/bin -L $(SDCC_BIN)/device/non-free/lib/$(DIR)/bin
 #CFLAGS += --no-pcode-opt
+#CFLAGS += -V
 
 .SUFFIXES: .asm .c .cod .stc
+.NOTPARALLEL:
 
 # Results of the test are placed here:
 LOGFILE = test.log
@@ -97,6 +111,7 @@
       configword.c \
       empty.c \
       for.c \
+      init0.c \
       inline.c \
       mult1.c \
       nestfor.c \
