=== debian/changelog ===
sdcc (3.1.0+dfsg-1ubuntu1) quantal; urgency=low

  * Remove build-indep from build target. Add it as a requisite of the
    install-indep target. This will keep it from being built on binary-arch
    builds, but still work on full builds. Not ideal, but it will suffice
    so that slow buildd's wont have to install all of lyx and tex just to
    churn out a small binary.

 -- Ben Collins <bcollins@ubuntu.com>  Wed, 13 Jun 2012 23:27:54 -0400

sdcc (3.1.0+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #647036)
  * Switch to dpkg-source 3.0 (quilt) format
  * Remove lk_readnl fix from rules file
  * Bump standards version to 3.9.3
  * Change Conflicts to Breaks in control file
  * Suggest python for sdcc
  * Add arch-dependent-file-in-usr-share to overrides file
  * Add recommended target build arch (Closes: #459877)
  * Fix whatis entry for as2xxxx.1 manpage
  * Add manpage for as2gbmap
  * Add a get-orig-source target to rules file
  * Exclude non-free sources from source package (Closes: #597933)
  * Add +dfsg to source package name
  * Add version mangling to watch file
  * Add Vcs fields
  * Change all references to asranlib to sdranlib
  * Remove patches 01_fix_getline  02_result_type_gptr  03_fix_cmdlex
  * Remove sim/ucsim/libltdl in get-orig-source
  * Remove patch 04_libtool_fix
  * Rename other patches from 05, 06 to 01, 02
  * Add GPL+LE to copyright file
  * Fix sdcc manpage (Closes: #658188)
  * Bump compat to 8
  * Add build dependency on libboost-dev
  * Change texlive dependency to texlive-full. I clould not find minimum set
    of texlive packages needed to compile the package.
  * Remove go.bat from sdcc-doc
  * Add Build-Depends-Indep field (Thanks to Aron Xu)
  * Fix build/install arch/indep (Thanks to Aron Xu)
  * Fix lintian override file
  * Fix cleaning of .asm files, too many were removed

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Mon, 04 Jun 2012 09:29:53 +0000

sdcc (2.9.0+dfsg-1) unstable; urgency=low

  * Remove all pic header and library files (Closes: #597933)
  * Add patch 05_exclude_pic_lib
  * Bump standards version to 3.9.1
  * Switch to dpkg-source 3.0 (quilt) format
  * Remove Conflicts: sdcc (<= 2.3.3+cvs20030131-4)
  * Remove Conflicts: sdcc (<< 2.3.8+cvs20040218-1)
  * Change hypen to minus in ucsim.1
  * Add description to all patches
  * Fixed watch file

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Fri, 17 Dec 2010 07:42:20 +0100

sdcc (2.9.0-5) unstable; urgency=low

  * Add patch 03_fix_cmdlex to fix compilation (Closes: #560520)
  * Add patch 04_libtool_fix to fix CVE-2009-3736 local privilege escalation
    After patching, ltld.c is equal to the ltld.c file in libtool 2.2.6B
    (Closes: #559840)
  * Add README.source file

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 09 Jan 2010 05:47:41 +0100

sdcc (2.9.0-4) unstable; urgency=low

  * Add patch 01_fix_ftbs (Closes: #552867)
  * Bump standards version to 3.8.3, no changes needed
  * Remove bashism from debian scripts (Closes: #535420)
  * Add README.source file
  * Add patch 02_result_type_gptr
  * Add dependency on quilt

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 14 Nov 2009 18:22:59 +0100

sdcc (2.9.0-3) unstable; urgency=low

  * patch from Keith Packard to promote varargs pointers to RESULT_TYPE_GPTR,
    accepted by upstream for 2.9.1

 -- Bdale Garbee <bdale@gag.com>  Sun, 09 Aug 2009 15:00:31 -0600

sdcc (2.9.0-2) unstable; urgency=low

  * Add conflict to sdcc-libraries (<<2.9.0) (Closes: #524864)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 03 May 2009 22:31:16 +0200

sdcc (2.9.0-1) unstable; urgency=low

  [ Bdale Garbee ]
  * new upstream version, with assemblers re-licensed under GPL version 3 or
    later, allowing the full SDCC package to return to Debian main!
  * update debian/copyright to more accurately reflect the set of copyright
    holders, and in light of the assemblers now being GPL v3 or later.
  * stop building html docs again since latex2html is non-free

  [ Gudjon I. Gudjonsson ]
  * Move manpages to debian/manpages
  * Edit the copyright file
  * Remove references to html doc from sdcc-doc.doc-base
  * Remove XS-Autobuild field
  * Bump standards version to 3.8.1, no changes needed
  * Add fields to install and remove postscript documentation
  * Add some perl scripts to sdcc package
  * Add examples to sdcc-doc
  * Add a lot to the clean target in rules. Will be sent to upstream
  * Add watch file

 -- Bdale Garbee <bdale@gag.com>  Thu, 09 Apr 2009 14:14:27 -0700

sdcc-nf (2.8.0-1) unstable; urgency=low

  [ Bdale Garbee ]
  * new upstream version
  * add Bdale as a co-maintainer

  [ Gudjon I. Gudjonsson ]
  * Renamed the packages. A DFSG version of the packages have been
    made and put into main, this non-free version has therefore the
    name extension -nf on all packages.
  * This version conflicts and provides the corresponding DFSG version.
  * Bumped the Debian policy standard version to 3.7.3. No changes needed.
  * Added a "XS-Autobuild: yes" field to the control file.
  * Removed the p89c66x.h file since it is included in upstream now.
  * Fixed some lintian warnings from doc-base file.
  * A new upstream version. (Closes: #474090)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Thu, 24 Apr 2008 13:52:02 +0000

sdcc (2.7.0-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New Upstream Version.
  * New Maintainer. Closes: #393289
  * Updated Build-Depends:
    + Added: autotools-dev to get the newest config.sub and config.guess
    + Added: autoconf, automake, libtool
    + Replaced lyx-qt by lyx
  * Cleaned debian/rules a bit
  * Use config.sub and config.guess from autotools-dev

  [ Gudjon I. Gudjonsson ]
  * New upstream version (Closes: #440380)
  * Replaced lyx-xforms (Closes: #444558)
  * Upgraded install targets for the new version.
  * Added the p89c66x.h header file. Will be included in 2.7.1
  * Added the copyright clause for ASxxxx into copyright.

