=== debian/control ===
Source: sdcc
Section: electronics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gudjon I. Gudjonsson <gudjon@gudjon.org>
Uploaders: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>=8), autoconf, autotools-dev, libtool, flex, bison, 
 libncurses5-dev, gputils, libboost-dev
Build-Depends-Indep: lyx, texlive-full, ghostscript,
Standards-Version: 3.9.3
Homepage: http://sdcc.sourceforge.net
Vcs-Git: git://anonscm.debian.org/collab-maint/sdcc.git
Vcs-Browser: http://anonscm.debian.org/git/collab-maint/sdcc.git

Package: sdcc
Architecture: any
Depends: sdcc-libraries (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: sdcc-doc
Suggests: sdcc-ucsim, python
Breaks: sdcc-libraries (<< 2.9.0)
Description: Small Device C Compiler
 SDCC is a C compiler for the Intel MCS51 family, AVR, HC08, PIC
 and Z80 microcontrollers.
 .
 This package includes the compiler, assemblers and linkers.

Package: sdcc-libraries
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gputils
Description: Small Device C Compiler (libraries)
 SDCC is a C compiler for the Intel MCS51 family, AVR, HC08, PIC
 and Z80 microcontrollers.
 .
 This package contains the core library for SDCC.

Package: sdcc-ucsim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: sdcc
Replaces: sdcc-ucsim-snapshot
Description: Micro-controller simulator for SDCC
 uCsim is a microcontroller simulator. It is extensible to support
 different microcontroller families. It currently supports Intel 
 MCS51 family, HC08 and Z80 microcontrollers.

Package: sdcc-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: sdcc
Description: Small Device C Compiler (documentation)
 SDCC is a C compiler for the Intel MCS51 family, AVR, HC08, PIC
 and Z80 microcontrollers.
 .
 This package provides the documentation and examples for the
 SDCC compiler.
